<?php
/**
 * Example to use myMVC.
 * This program just demonstrate how to create
 * a login form, authenticate user, check data from
 * a form and read data from database.
 * 
 * Author: Luca Bertoncello <lucabert@lucabert.de>
 */

/**
 * Just display test1.tpl page, if called.
 * This page will actually not called, then
 * Test1Action cannot be called (see his hasUserRightForAction())
 */
class Test1View extends myMVC_BaseView
{
  public function __construct($engine, $session)
  {
    parent::__construct($engine, $session);
    $this->setTemplate('test1.tpl');
  }

  /**
   * Returns the token used to identify the current View
   * 
   * @return string                 The token
   */
  public static function getViewToken()
  {
    return 'test1';
  }
}
?>
