#!/bin/sh

./tsmarty2c.php ~/workspace/testmvc/pages/templates/ > /tmp/mymvc_text.c
/usr/bin/xgettext --from-code UTF-8 /tmp/mymvc_text.c ~/workspace/testmvc/incs/*.php ~/workspace/testmvc/etc/etc.php
####################################
# German
if [ -f de_DE.po ]; then
        /usr/bin/msgmerge de_DE.po messages.po -o .tmp
        mv .tmp de_DE.po
else
        cp messages.po de_DE.po
fi

/usr/bin/msgfmt -o testmvc.mo de_DE.po
if [ -f testmvc.mo ]; then
        mkdir -p de/LC_MESSAGES
        mv testmvc.mo de/LC_MESSAGES/
fi
####################################
# Italian
if [ -f it_IT.po ]; then
        /usr/bin/msgmerge it_IT.po messages.po -o .tmp
        mv .tmp it_IT.po
else
        cp messages.po it_IT.po
fi

/usr/bin/msgfmt -o testmvc.mo it_IT.po
if [ -f testmvc.mo ]; then
        mkdir -p it/LC_MESSAGES
        mv testmvc.mo it/LC_MESSAGES/
fi
